import AppRouter from "@/routes";
import {ConfigProvider} from "@/contexts/config";
import {AuthProvider} from "@/contexts/auth";
import LivePlayer from "@/pages/live-player";

console.log(`APP-BUILD-AT: ${AppBuildVersion}`)

function App() {
	return (
		<ConfigProvider>
			{AppConfig.ONLY_LIVE && AppConfig.ONLY_LIVE == 'yes'?<LivePlayer />:<AuthProvider>
				<AppRouter/>
			</AuthProvider>}
		</ConfigProvider>
	)
}

export default App
